QueueServiceProperties Class
The properties of a storage account's Queue service.
Variables are only populated by the server, and will be ignored when sending a request.
- Inheritance
-
azure.mgmt.storage.v2021_06_01.models._models_py3.ResourceQueueServiceProperties
Constructor
QueueServiceProperties(*, cors: Optional[azure.mgmt.storage.v2021_06_01.models._models_py3.CorsRules] = None, **kwargs)
Variables
- id
- str
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}.
- name
- str
The name of the resource.
- type
- str
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts".
- cors
- CorsRules
Specifies CORS rules for the Queue service. You can include up to five CorsRule elements in the request. If no CorsRule elements are included in the request body, all CORS rules will be deleted, and CORS will be disabled for the Queue service.
Feedback
Submit and view feedback for